/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.syncope.client.enduser.commons;

public final class EnduserConstants {

    public static final String STATUS = "status";
    
    public static final String SUCCESS = "success";
    
    public static final String FAILING_RESOURCES = "failing_resources";

    public static final String LANDING_PAGE = "landingPage";

    public static final String CONTENT_PANEL = "contentPanel";

    public static final String SELF_ALLOWED = "selfRegistration.allowed";

    public static final String PAGE_TITLE = "pageTitle";

    private EnduserConstants() {
        // private constructor for static utility class
    }
}
